PUT
/v1/discoverers/id/{discovererId}
http://schemas.{region}.amazonaws.com/v1/discoverers/id/{discovererId}Updates the discoverer
Access Token Required: API Key
Path Parameters
discovererIdstringrequired
The ID of the discoverer.
Body Params
Descriptionstring
The description of the discoverer to update.
CrossAccountboolean
Support discovery of schemas in events sent to the bus from another account. (default: true)
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://schemas.{region}.amazonaws.com/v1/discoverers/id/{discovererId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}